unit main;

interface

uses
   Sysutils, txset, auxiapi, uss;//, i_NTHPASCT;

function TACT(Request:String;var Response:String):Integer;stdcall;
procedure TRANPROC_DEFAULT(inComm: TTinComm;var outComm: TToutComm);

implementation

function TACT(Request:String;var Response:String):Integer;stdcall;
var
   inComm: TTinComm;
   outComm: TToutComm;
   trxcode: Integer;
begin
   Result := 0;

//   UNPACK_COMMTACT(Request,inComm);
   inComm := unpackTinComm(Request);


   trxcode := StrToInt(inComm.TITRXD);
   Case trxcode of
      1100 : begin
               TRANPROC_T1100(inComm, outComm);
//               TRANPROC_DEFAULT(inComm, outComm);
             end;
      1101 : begin
               TRANPROC_T1101(inComm, outComm);
//               TRANPROC_DEFAULT(inComm, outComm);
             end;
      0901 : begin
               TRANPROC_T0901(inComm, outComm);
//               TRANPROC_DEFAULT(inComm, outComm);
             end;
      0902 : begin
               TRANPROC_T0902(inComm, outComm);
//               TRANPROC_DEFAULT(inComm, outComm);
             end;
      0903 : begin
               TRANPROC_T0903(inComm, outComm);
//               TRANPROC_DEFAULT(inComm, outComm);
             end;
      0904 : begin
               TRANPROC_T0904(inComm, outComm);
//               TRANPROC_DEFAULT(inComm, outComm);
             end;
      0905 : begin
               TRANPROC_T0905(inComm, outComm);
//               TRANPROC_DEFAULT(inComm, outComm);
             end;
      0801 : begin
             TRANPROC_T0801(inComm, outComm);
//             TRANPROC_DEFAULT(inComm, outComm);
             end;
      0802 : begin
             TRANPROC_T0802(inComm, outComm);
//             TRANPROC_DEFAULT(inComm, outComm);
             end;
      0803 : begin
               TRANPROC_T0803(inComm, outComm);
             end;
      0804 : begin
               TRANPROC_T0804(inComm, outComm);
             end;
      else begin
         TRANPROC_DEFAULT(inComm, outComm);
      end;
   end;
//   Response := PACK_COMMTACT(outComm);
   Response := packToutComm(outComm);
end;

procedure TRANPROC_DEFAULT(inComm: TTinComm;var outComm: TToutComm);
begin
   outComm.TOOVERID := TONOTDEFSVRPR;
   outComm.TOSTATEMENT := TOSTATNOTDEFSVRPR;
end;

end.
